#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-HoL4mcuBb3oCAMPoVqJ8m3-dns-internal
key:                  dns-4.1.1-HoL4mcuBb3oCAMPoVqJ8m3-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  8931b6b2dc65c1d13a3293404de0594f
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-HoL4mcuBb3oCAMPoVqJ8m3-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-Is7oRSeLDZl4BZOR8rLrw9
    attoparsec-0.14.4-Luop1orKt9t9BafG3iOzeM
    auto-update-0.1.6-IghgR16zpb4KAljNfI7EJp base-4.17.2.1
    base16-bytestring-1.0.2.0-64SRXBIAb7g8ZDjXiMNOEh
    base64-bytestring-1.2.1.0-47oLzhpJjDSKgAC3ztjl0x
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-FN4Uh6xsWL1FUfOK6EPYiu
    containers-0.6.7 cryptonite-0.30-Be2pshLAZbH7b6vRtg2iTK
    hourglass-0.2.12-JxQpnPSwkfMGPI84TCXJZ
    iproute-1.7.15-HWBrIAjV8dFIF3jIsEhNXH mtl-2.2.2
    network-3.1.4.0-LColH4Hos0S6e9tGqh8fY1
    psqueues-0.2.8.1-BZPqOl77T086UqS71ROILI

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-4wLHicgAIdX6RjEzcrHS3F
key:                  dns-4.1.1-4wLHicgAIdX6RjEzcrHS3F
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  35b5420b13f205b6c6864f2698adeb3f
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-4wLHicgAIdX6RjEzcrHS3F
depends:
    array-0.5.4.0 async-2.2.5-Is7oRSeLDZl4BZOR8rLrw9
    attoparsec-0.14.4-Luop1orKt9t9BafG3iOzeM
    auto-update-0.1.6-IghgR16zpb4KAljNfI7EJp base-4.17.2.1
    base16-bytestring-1.0.2.0-64SRXBIAb7g8ZDjXiMNOEh
    base64-bytestring-1.2.1.0-47oLzhpJjDSKgAC3ztjl0x
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-Be2pshLAZbH7b6vRtg2iTK
    dns-4.1.1-HoL4mcuBb3oCAMPoVqJ8m3-dns-internal
    hourglass-0.2.12-JxQpnPSwkfMGPI84TCXJZ
    iproute-1.7.15-HWBrIAjV8dFIF3jIsEhNXH mtl-2.2.2
    network-3.1.4.0-LColH4Hos0S6e9tGqh8fY1
    psqueues-0.2.8.1-BZPqOl77T086UqS71ROILI

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

